Новинка: "Сборка 24" для OpenCart 3.0 с открытым кодом! Детальнее

Перейти к публикации

не могу запустить скрипт


Рекомендованные сообщения

Здравствуйте подскажите при запуске 

Команда для cron
php /var/www/laky/data/www/ks128ua.com/cron/neoseo_brainapi.php
 
выдает ошибку 
laky$ php /var/www/laky/data/www/ks128ua.com/cron/neoseo_brainapi.php
PHP Fatal error:  
The file /var/www/laky/data/www/ks128ua.com/admin/model/tool/neoseo_brainapi.php was encoded
with the PHP 5.6 ionCube Encoder and requires PHP 5.6 or PHP 7.0 to be installed.
 in Unknown on line 0

 

как ее исправить?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
4 часа назад, Laky сказал:

Здравствуйте подскажите при запуске 

Команда для cron
php /var/www/laky/data/www/ks128ua.com/cron/neoseo_brainapi.php
 
выдает ошибку 

laky$ php /var/www/laky/data/www/ks128ua.com/cron/neoseo_brainapi.php
PHP Fatal error:  
The file /var/www/laky/data/www/ks128ua.com/admin/model/tool/neoseo_brainapi.php was encoded
with the PHP 5.6 ionCube Encoder and requires PHP 5.6 or PHP 7.0 to be installed.
 in Unknown on line 0

 

как ее исправить?

Здравствуйте. Текст данной ошибки говорит о том, что не совпадают версии рнр. Пожалуйста, убедитесь, что Вы скачали версию модуля, которая соответствует установленной версии рнр на Вашем сайте.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Поидее все так как положенно , что может быть еще? у меня на сервере несколько доменов с разными PHP может быть что по умолчанию крон запускает другую версию??  как это проверить?


https://ks128ua.com/system_test.php

 

скачивал версию 

5.6-7.0

neoseo_brainapi_oc3.0_php7.0_20.ocmod.zip

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

если запускать с веб https://ks128ua.com/cron/neoseo_brainapi.php то запускается но потом по тайймауту вываливается. А через крон не запускается вываливает ту ошибку что я описал

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
10 минут назад, Laky сказал:

если запускать с веб https://ks128ua.com/cron/neoseo_brainapi.php то запускается но потом по тайймауту вываливается. А через крон не запускается вываливает ту ошибку что я описал

Да, у Вас может крон запускаться с другой версии php.

Попробуйте указать версию php в кроновской команде. То  есть Вы указываете сейчас команду php /var/www ...

А нужно, например, /opt/php70/bin/php /var/...

То есть с указанием с какой версии php нужно вызывать команду.

Только путь /opt/php70/bin/php указан для примера. Вам нужно указать свой.

Если не знаете данный путь, то обратитесь в поддержку хостинга/сервера, чтобы они уточнили, так как он может отличаться.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в тему...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

×
×
  • Создать...